#ifndef __INCLUDED_UBERSOLDAT_US_MISC_H_83011__
#define	__INCLUDED_UBERSOLDAT_US_MISC_H_83011__


//functions referenced in g_svcmds.c
void Svcmd_AddNode_f();
void Svcmd_ConnectNodes_f();
void Svcmd_LoadNodes_f();
void Svcmd_SaveNodes_f();
void Svcmd_Entnum_f();
void Svcmd_Kickbot_f();

#ifdef UBERSOLDAT_OPTIONAL
void Svcmd_Ignore_f();
void Svcmd_Unignore_f();
void Svcmd_Shuffle_f();

//functions referenced in g_cmds.c
void Cmd_Gib_f(gentity_t *ent);
void Cmd_Clientnum_f(gentity_t *ent);
void Cmd_Stats_f(gentity_t *ent);
void Cmd_Omw_f(gentity_t *ent);
void Cmd_Sticky_f(gentity_t *ent);
void Cmd_Smoke_f(gentity_t *ent);
void Cmd_Playdead_f(gentity_t *ent);
void Cmd_Pmsg_f(gentity_t *ent);

//functions referenced in g_active.c, or by each other
void Cmd_Push_f(gentity_t *ent);
void Cmd_ThrowKnife_f(gentity_t* ent);
void Touch_Knife(gentity_t *ent, gentity_t *other, trace_t *trace);
void Cmd_KickGrenade_f(gentity_t* ent);
void Cmd_KickAS_f(gentity_t* ent);

//'think' function(s) for entities/weapons
void weapon_smokeGrenade(gentity_t *ent);

//utility functions
qboolean PlayerNeedsAmmo(gentity_t *ent);	//referenced in Touch_Item
#endif	//UBERSOLDAT

int ClientNumberFromNameMatch(char *name, int *nums);	//this was promoted to non-optional

#endif	//INCLUDED

